View Issue Details

IDProjectCategoryView StatusLast Update
0021146mantisbtotherpublic2016-08-28 01:12
ReporteravillemaineAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.2 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021146: Can't retrieve history of a bug with history_get_events_array($bug_id)
Description

I try to retrieve history of a specified bug in a plugin page.
I use the function history_get_events_array($bug_id) but it give nothing because it call history_get_event_from_row() which use :
$t_project_id = helper_get_current_project();
...

Make sure the entry belongs to current project.

if ( $t_project_id != ALL_PROJECTS && $t_project_id != bug_get_field( $v_bug_id, 'project_id' ) ) {
continue;
}

But in this context the bug is not related to the current projec.

TagsNo tags attached.

Relationships

related to 0019945 closedvboctor Timeline should take selected project into consideration 
related to 0021072 closedcproensa Timeline only show issues from current project 

Activities

cproensa

cproensa

2016-07-30 20:22

developer   ~0053734

That code was introduced by 0019945

Proposed work at 0021072 will revert this limitation.

cproensa

cproensa

2016-08-05 05:40

developer   ~0053753

https://github.com/mantisbt/mantisbt/pull/838

Related Changesets

MantisBT: master-1.3.x e48e7375

2016-08-05 05:26:36

cproensa


Committer: dregad Details Diff
Revert limit history range to current project

Revert the changes made by Issue 0019945 (commit adbd0882).

The api function history_get_event_from_row should not impose a
limitation for current project queries.

The original timeline issue, which 0019945 was addressing, has now been
resolved in another way, see issue 0021072.

Fixes: 0021146
mod - core/history_api.php Diff File

Issue History

Date Modified Username Field Change
2016-06-22 04:11 avillemaine New Issue
2016-07-30 20:22 cproensa Assigned To => cproensa
2016-07-30 20:22 cproensa Status new => confirmed
2016-07-30 20:22 cproensa Note Added: 0053734
2016-07-30 20:22 cproensa Relationship added related to 0019945
2016-07-30 20:22 cproensa Relationship added related to 0021072
2016-08-05 05:40 cproensa Status confirmed => assigned
2016-08-05 05:40 cproensa Note Added: 0053753
2016-08-16 09:24 dregad Changeset attached => MantisBT master-1.3.x e48e7375
2016-08-16 09:24 dregad Assigned To cproensa => dregad
2016-08-16 09:24 dregad Status assigned => resolved
2016-08-16 09:24 dregad Resolution open => fixed
2016-08-16 09:24 dregad Fixed in Version => 1.3.1
2016-08-16 09:26 dregad Target Version => 1.3.1
2016-08-16 09:26 dregad Assigned To dregad => cproensa
2016-08-28 01:12 vboctor Status resolved => closed